Subject: RE: Porting git to HP NonStop

From: "Joachim Schmitz" <[email-masked]>
Date: Wed, 22 Aug 2012 20:02:43 +0200

> -----Original Message-----
> From: Johannes Sixt [mailto:[email-masked]]
> Sent: Wednesday, August 22, 2012 7:41 PM
> To: Brandon Casey
> Cc: Joachim Schmitz; Junio C Hamano; Shawn Pearce; [email-masked];
> [email-masked]
> Subject: Re: Porting git to HP NonStop
> 
> Am 22.08.2012 19:00, schrieb Brandon Casey:
> >  So I think the body of [compat_mkdir] can become something like:
> >
> >    if (len && dir[len-1] == '/')
> >        dir = tmp_dir = xstrndup(dir, len-1);
> 
> Don't use x* wrappers in the compat layer, at least not those that allocate
> memory: They behave unpredictably due to try_to_free_routine and may lead
> to recursive invocations.

I was just following orders ;-)
What about the other proposal, xmemdupz? Same story I guess?

Bye, Jojo